Amazon Linux AMI : php-ZendFramework (ALAS-2016-767)

critical Nessus Plugin ID 94973

Synopsis

The remote Amazon Linux AMI host is missing a security update.

Description

The implementation of ORDER BY and GROUP BY in Zend_Db_Select was discovered to be vulnerable to SQL injection.

Solution

Run 'yum update php-ZendFramework' to update your system.

See Also

https://alas.aws.amazon.com/ALAS-2016-767.html

Plugin Details

Severity: Critical

ID: 94973

File Name: ala_ALAS-2016-767.nasl

Version: 3.4

Type: local

Agent: unix

Published: 11/21/2016

Updated: 4/18/2018

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:php-ZendFramework, p-cpe:/a:amazon:linux:php-ZendFramework-Auth-Adapter-Ldap, p-cpe:/a:amazon:linux:php-ZendFramework-Cache-Backend-Apc, p-cpe:/a:amazon:linux:php-ZendFramework-Cache-Backend-Libmemcached, p-cpe:/a:amazon:linux:php-ZendFramework-Cache-Backend-Memcached, p-cpe:/a:amazon:linux:php-ZendFramework-Captcha, p-cpe:/a:amazon:linux:php-ZendFramework-Db-Adapter-Mysqli, p-cpe:/a:amazon:linux:php-ZendFramework-Db-Adapter-Pdo, p-cpe:/a:amazon:linux:php-ZendFramework-Db-Adapter-Pdo-Mssql, p-cpe:/a:amazon:linux:php-ZendFramework-Db-Adapter-Pdo-Mysql, p-cpe:/a:amazon:linux:php-ZendFramework-Db-Adapter-Pdo-Pgsql, p-cpe:/a:amazon:linux:php-ZendFramework-Dojo, p-cpe:/a:amazon:linux:php-ZendFramework-Feed, p-cpe:/a:amazon:linux:php-ZendFramework-Ldap, p-cpe:/a:amazon:linux:php-ZendFramework-Pdf, p-cpe:/a:amazon:linux:php-ZendFramework-Search-Lucene, p-cpe:/a:amazon:linux:php-ZendFramework-Serializer-Adapter-Igbinary, p-cpe:/a:amazon:linux:php-ZendFramework-Services, p-cpe:/a:amazon:linux:php-ZendFramework-Soap, p-cpe:/a:amazon:linux:php-ZendFramework-demos, p-cpe:/a:amazon:linux:php-ZendFramework-extras, p-cpe:/a:amazon:linux:php-ZendFramework-full, cpe:/o:amazon:linux

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 11/18/2016

Reference Information

CVE: CVE-2016-4861, CVE-2016-6233

ALAS: 2016-767